﻿<%@ control language="VB" autoeventwireup="false" inherits="_ConfigSetting, KartrisCompiled" %>
<div id="page_config">
    <h1>
        <asp:Literal ID="litPageTitle" runat="server" Text='<%$ Resources:_Kartris, BackMenu_ConfigSettings %>'></asp:Literal></h1>
    <asp:UpdatePanel ID="updPanel" runat="server">
        <ContentTemplate>
            <div>
                <asp:Literal ID="litConfigName" runat="server" Text=""></asp:Literal>
                <asp:RadioButtonList ID="lstRadioButtons" runat="server" AutoPostBack="True"
                    RepeatDirection="Horizontal">
                    <asp:ListItem Value="frontend." Text='<%$ Resources:_Kartris, ContentText_FrontEnd %>' />
                    <asp:ListItem Value="backend." Text='<%$ Resources:_Kartris, PageTitle_BackEnd %>' />
                    <asp:ListItem Value="general." Text='<%$ Resources:_Kartris, BackMenu_SearchAll %>' />
                    <asp:ListItem Value="" Selected="True">-</asp:ListItem>
                </asp:RadioButtonList>
                <asp:Panel ID="pnlFind" runat="server" DefaultButton="btnFind">
                    <div class="dropdownmenu2" id="configmenu">
                        <asp:Menu ID="menConfig" runat="server" Orientation="Vertical">
                        </asp:Menu>
                    </div>
                    <div class="searchboxline">
                        <asp:LinkButton ID="btnNew" runat="server" Text='<%$ Resources:_Kartris, FormButton_New %>'
                            CssClass="linkbutton icon_new floatright" />
                        <asp:TextBox CssClass="midtext" runat="server" ID="txtSearchStarting" MaxLength="100" />
                        <asp:DropDownList ID="ddlConfigFilter" runat="server">
                            <asp:ListItem Text="<%$ Resources:_Kartris, BackMenu_SearchAll %>" Value="a" Selected="True" />
                            <asp:ListItem Text="<%$ Resources:_Config, ContentText_ConfigImportant %>" Value="i" />
                        </asp:DropDownList>
                        <asp:Button ID="btnFind" runat="server" Text='<%$ Resources:_Kartris, FormButton_Search %>'
                            CssClass="button" />
                        <asp:Button ID="btnClear" runat="server" CssClass="button cancelbutton" Text='<%$ Resources:_Kartris, ContentText_Clear %>' />
                        <br />
                        <br />
                        <div class="line">
                        </div>
                </asp:Panel>
                <asp:Panel ID="pnlNewSearch" runat="server" Visible="false">
                    <asp:LinkButton ID="btnNewSearch" runat="server" CssClass="linkbutton icon_edit"
                        Text='<%$ Resources:_Search, ContentText_NewSearch %>' />
                </asp:Panel>
            </div>
            <div class="spacer">
            </div>
 
            <asp:PlaceHolder ID="phdNoResults" Visible="false" runat="server">
                <div id="noresults">
                    <asp:Literal ID="litNoResults" runat="server" Text='<%$ Resources:_Kartris, ContentText_NoResults %>'></asp:Literal>
                </div>
            </asp:PlaceHolder>
            <%--Update Error Message--%>
            <asp:PlaceHolder ID="phdMessageError" runat="server" Visible="false">
                <div class="errormessage">
                    <asp:Literal ID="litMessageError" runat="server" Text='<%$ Resources:_Kartris, ContentText_Error %>'></asp:Literal>
                </div>
            </asp:PlaceHolder>
            <asp:PlaceHolder ID="phdResult" runat="server">
                <asp:GridView CssClass="kartristable" ID="gvwConfig" runat="server" AllowPaging="True"
                    AutoGenerateColumns="False" DataKeyNames="CFG_Name" AutoGenerateEditButton="False"
                    GridLines="None" PagerSettings-PageButtonCount="10" PageSize="10">
                    <Columns>
                        <asp:BoundField DataField="CFG_Name" HeaderText='<%$ Resources:_Kartris, ContentText_Name %>'
                            ItemStyle-CssClass="itemname">
                            <HeaderStyle />
                        </asp:BoundField>
                        <asp:TemplateField HeaderText='<%$ Resources:_Kartris, ContentText_Value %>'
                            ItemStyle-CssClass="valuefield">
                            <HeaderStyle />
                            <ItemTemplate>
                                <asp:Literal ID="litCFG_Value" runat="server"
                                    Text='<%# CkartrisDisplayFunctions.TruncateDescriptionBack(Eval("CFG_Value"), 50) %>' />
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:TemplateField ItemStyle-CssClass="selectfield">
                            <ItemTemplate>
                                <asp:LinkButton ID="selectbutton" runat="server" CommandName="select" CssClass="linkbutton icon_edit"
                                    Text='<%$ Resources:_Kartris, FormButton_Edit %>' />
                            </ItemTemplate>
                        </asp:TemplateField>
                    </Columns>
                </asp:GridView>
                <div class="spacer">
                </div>
            </asp:PlaceHolder>
                        <asp:Literal ID="litMessage" runat="server" Visible="false" />
            <asp:DetailsView ID="dvwConfig" runat="server" AutoGenerateRows="False" DataKeyNames="CFG_Name"
                DefaultMode="ReadOnly">
                <Fields>
                    <%--CFG_Name--%>
                    <asp:TemplateField>
                        <HeaderStyle />
                        <HeaderTemplate>
                            <asp:Literal ID="litHName" runat="server" Text='<%$ Resources:_Kartris, ContentText_Name %>'></asp:Literal>
                        </HeaderTemplate>
                        <ItemTemplate>
                            <asp:Literal ID="litCFG_Name" runat="server" Text='<%# Eval("CFG_Name") %>'></asp:Literal>
                        </ItemTemplate>
                        <InsertItemTemplate>
                            <asp:TextBox ID="txtCFG_NewName" runat="server" MaxLength="100" />
                            <asp:LinkButton ID="lnkBtnCFG_CheckName" runat="server" CausesValidation="false"
                                CommandName="CheckName" Text='<%$ Resources:_Kartris, FormButton_Check %>' />
                            <asp:LinkButton ID="lnkBtnCFG_ChangeName" runat="server" CausesValidation="false"
                                CommandName="ChangeName" Visible="false" Text='<%$ Resources:_Kartris, FormButton_Change %>' />
                            <asp:RequiredFieldValidator ID="valRequiredValue" runat="server" CssClass="error"
                                ForeColor="" ErrorMessage="<%$ Resources: _Kartris, ContentText_RequiredField %>"
                                ControlToValidate="txtCFG_NewName" SetFocusOnError="True">
                            </asp:RequiredFieldValidator><br />
                            <asp:PlaceHolder ID="phdNameAlreadyExist" Visible="false" runat="server">
                                <asp:Literal ID="litNewNameMsg" runat="server" Text='<%$ Resources:_Kartris, ContentText_AlreadyInUse %>' />
                                <asp:LinkButton ID="lnkBtnViewLSName" runat="server" CommandName="ConfigNameDetails"
                                    Text='<%$ Resources:_Kartris, ContentText_ClickHere %>' />
                            </asp:PlaceHolder>
                            <asp:Literal ID="litPleaseEnterValue" runat="server" Visible="false" Text='<%$ Resources:_Kartris, ContentText_PleaseEnterValue %>' />
                        </InsertItemTemplate>
                    </asp:TemplateField>
                    <%--CFG_Value--%>
                    <asp:TemplateField>
                        <HeaderStyle />
                        <HeaderTemplate>
                            <asp:Literal ID="litHValue" runat="server" Text='<%$ Resources:_Kartris, ContentText_Value %>'></asp:Literal>
                        </HeaderTemplate>
                        <ItemTemplate>
                            <asp:Literal ID="litCFG_Value" runat="server" Text='<%# Eval("CFG_Value") %>'></asp:Literal>
                        </ItemTemplate>
                        <EditItemTemplate>
                            <asp:TextBox ID="txtCFG_Value" runat="server" Text='<%# Eval("CFG_Value") %>' MaxLength="255" />
                        </EditItemTemplate>
                        <InsertItemTemplate>
                            <asp:TextBox ID="txtCFG_NewValue" runat="server" Enabled="false" MaxLength="255" />
                        </InsertItemTemplate>
                    </asp:TemplateField>
                    <%--CFG_DataType--%>
                    <asp:TemplateField>
                        <HeaderStyle />
                        <HeaderTemplate>
                            <asp:Literal ID="litFormLabelDataType" runat="server" Text='<%$ Resources: _Config, FormLabel_DataType %>'></asp:Literal>
                        </HeaderTemplate>
                        <ItemTemplate>
                            <asp:DropDownList ID="ddlCFG_NewDataType" runat="server" Enabled="false">
                                <asp:ListItem Value="s">string</asp:ListItem>
                                <asp:ListItem Value="n">numeric</asp:ListItem>
                            </asp:DropDownList>
                        </ItemTemplate>
                        <EditItemTemplate>
                            <asp:DropDownList ID="ddlCFG_DataType" runat="server" Enabled="<%# SetExpertSetting() %>">
                                <asp:ListItem Value="s">string</asp:ListItem>
                                <asp:ListItem Value="n">numeric</asp:ListItem>
                            </asp:DropDownList>
                        </EditItemTemplate>
                        <InsertItemTemplate>
                            <asp:DropDownList ID="ddlCFG_NewDataType" runat="server" Enabled="false">
                                <asp:ListItem>-</asp:ListItem>
                                <asp:ListItem Value="s">string</asp:ListItem>
                                <asp:ListItem Value="n">numeric</asp:ListItem>
                            </asp:DropDownList>
                            <asp:CompareValidator ID="valCompareNewDataType" runat="server" CssClass="error"
                                ForeColor="" ErrorMessage="<%$ Resources: _Kartris, ContentText_RequiredField %>"
                                ControlToValidate="ddlCFG_NewDataType" SetFocusOnError="True" ValueToCompare="-"
                                Operator="NotEqual"></asp:CompareValidator>
                        </InsertItemTemplate>
                    </asp:TemplateField>
                    <%--CFG_DisplayType--%>
                    <asp:TemplateField>
                        <HeaderStyle />
                        <HeaderTemplate>
                            <asp:Literal ID="litFormLabelDisplayType" runat="server" Text='<%$ Resources: _Config, FormLabel_DisplayType %>'></asp:Literal>
                        </HeaderTemplate>
                        <ItemTemplate>
                            <asp:DropDownList ID="ddlCFG_DisplayType" runat="server">
                                <asp:ListItem Value="s">select menu</asp:ListItem>
                                <asp:ListItem Value="n">numeric</asp:ListItem>
                                <asp:ListItem Value="t">text</asp:ListItem>
                                <asp:ListItem Value="b">boolean</asp:ListItem>
                                <asp:ListItem Value="l">list</asp:ListItem>
                            </asp:DropDownList>
                        </ItemTemplate>
                        <EditItemTemplate>
                            <asp:DropDownList ID="ddlCFG_DisplayType" runat="server" Enabled="<%# SetExpertSetting() %>">
                                <asp:ListItem Value="s">select menu</asp:ListItem>
                                <asp:ListItem Value="n">numeric</asp:ListItem>
                                <asp:ListItem Value="t">text</asp:ListItem>
                                <asp:ListItem Value="b">boolean</asp:ListItem>
                                <asp:ListItem Value="l">list</asp:ListItem>
                            </asp:DropDownList>
                        </EditItemTemplate>
                        <InsertItemTemplate>
                            <asp:DropDownList ID="ddlCFG_NewDisplayType" runat="server" Enabled="false">
                                <asp:ListItem>-</asp:ListItem>
                                <asp:ListItem Value="s">select menu</asp:ListItem>
                                <asp:ListItem Value="n">numeric</asp:ListItem>
                                <asp:ListItem Value="t">text</asp:ListItem>
                                <asp:ListItem Value="b">boolean</asp:ListItem>
                                <asp:ListItem Value="l">list</asp:ListItem>
                            </asp:DropDownList>
                            <asp:CompareValidator ID="valCompareNewDisplayType" runat="server" CssClass="error"
                                ForeColor="" ErrorMessage="<%$ Resources: _Kartris, ContentText_RequiredField %>"
                                ControlToValidate="ddlCFG_NewDisplayType" SetFocusOnError="True" ValueToCompare="-"
                                Operator="NotEqual"></asp:CompareValidator>
                        </InsertItemTemplate>
                    </asp:TemplateField>
                    <%--CFG_DisplayInfo--%>
                    <asp:TemplateField>
                        <HeaderStyle />
                        <HeaderTemplate>
                            <asp:Literal ID="litFormLabelDisplayInfo" runat="server" Text='<%$ Resources: _Config, FormLabel_DisplayInfo %>'></asp:Literal>
                        </HeaderTemplate>
                        <ItemTemplate>
                            <asp:Literal ID="litCFG_DisplayInfo" runat="server" Text='<%# Eval("CFG_DisplayInfo") %>'></asp:Literal>
                        </ItemTemplate>
                        <EditItemTemplate>
                            <asp:TextBox ID="txtCFG_DisplayInfo" runat="server" Text='<%# Eval("CFG_DisplayInfo") %>'
                                MaxLength="255" Enabled="<%# SetExpertSetting() %>" />
                        </EditItemTemplate>
                        <InsertItemTemplate>
                            <asp:TextBox ID="txtCFG_NewDisplayInfo" runat="server" Enabled="false" MaxLength="255" />
                        </InsertItemTemplate>
                    </asp:TemplateField>
                    <%--CFG_DefaultValue--%>
                    <asp:TemplateField>
                        <HeaderStyle />
                        <HeaderTemplate>
                            <asp:Literal ID="litHDefaultValue" runat="server" Text='<%$ Resources: _Kartris, ContentText_DefaultValue %>'></asp:Literal>
                        </HeaderTemplate>
                        <ItemTemplate>
                            <asp:Literal ID="litCFG_DefaultValue" runat="server" Text='<%# Eval("CFG_DefaultValue") %>'></asp:Literal>
                        </ItemTemplate>
                        <EditItemTemplate>
                            <asp:TextBox ID="txtCFG_DefaultValue" runat="server" Text='<%# Eval("CFG_DefaultValue") %>'
                                MaxLength="255" Enabled="<%# SetExpertSetting() %>" />
                        </EditItemTemplate>
                        <InsertItemTemplate>
                            <asp:TextBox ID="txtCFG_NewDefaultValue" runat="server" Enabled="false" MaxLength="255" />
                        </InsertItemTemplate>
                    </asp:TemplateField>
                    <%--CFG_Description--%>
                    <asp:TemplateField>
                        <HeaderStyle />
                        <HeaderTemplate>
                            <asp:Literal ID="litHDesc" runat="server" Text='<%$ Resources: _Kartris, ContentText_Description %>'></asp:Literal>
                        </HeaderTemplate>
                        <ItemTemplate>
                            <asp:Literal ID="litCFG_Desc" runat="server" Text='<%# Eval("CFG_Description") %>'></asp:Literal>
                        </ItemTemplate>
                        <EditItemTemplate>
                            <asp:TextBox ID="txtCFG_Desc" runat="server" Text='<%# Eval("CFG_Description") %>'
                                TextMode="MultiLine" Wrap="true" MaxLength="255" Enabled="<%# SetExpertSetting() %>" />
                        </EditItemTemplate>
                        <InsertItemTemplate>
                            <asp:TextBox ID="txtCFG_NewDesc" runat="server" TextMode="MultiLine" Wrap="true"
                                Enabled="false" MaxLength="255" />
                            <asp:RequiredFieldValidator ID="valRequiredNewDesc" runat="server" CssClass="error"
                                ForeColor="" ErrorMessage="<%$ Resources: _Kartris, ContentText_RequiredField %>"
                                ControlToValidate="txtCFG_NewDesc" ValidationGroup="NewConfig" SetFocusOnError="True">
                            </asp:RequiredFieldValidator>
                        </InsertItemTemplate>
                    </asp:TemplateField>
                    <%--CFG_VersionAdded--%>
                    <asp:TemplateField>
                        <HeaderStyle />
                        <HeaderTemplate>
                            <asp:Literal ID="litHVersionAdded" runat="server" Text='<%$ Resources: _Kartris, ContentText_VersionAdded %>'></asp:Literal>
                        </HeaderTemplate>
                        <ItemTemplate>
                            <asp:Literal ID="litCFG_VersionAdded" runat="server" Text='<%# FormatVersion(Eval("CFG_VersionAdded")) %>'></asp:Literal>
                        </ItemTemplate>
                        <EditItemTemplate>
                            <asp:TextBox ID="txtCFG_VersionAdded" runat="server" Text='<%# FormatVersion(Eval("CFG_VersionAdded")) %>'
                                MaxLength="255" Enabled="<%# SetExpertSetting() %>" />
                        </EditItemTemplate>
                        <InsertItemTemplate>
                            <asp:TextBox ID="txtCFG_NewVersionAdded" runat="server" Enabled="false" MaxLength="8"
                                Text='<%# CkartrisEnumerations.KARTRIS_VERSION  %>' />
                        </InsertItemTemplate>
                    </asp:TemplateField>
                    <%--CFG_Important--%>
                    <asp:TemplateField>
                        <HeaderTemplate>
                            <asp:Literal ID="Literal1" runat="server" Text="<%$ Resources: _Config, ContentText_ConfigImportant %>" />
                        </HeaderTemplate>
                        <ItemTemplate>
                            <asp:CheckBox ID="chkCFG_ReadImportant" runat="server" CssClass="checkbox" Enabled="false"
                                Checked='<%# Eval("CFG_Important") %>' />
                        </ItemTemplate>
                        <EditItemTemplate>
                            <asp:CheckBox ID="chkCFG_Important" runat="server" CssClass="checkbox" Checked='<%# Eval("CFG_Important") %>'
                                Enabled="<%# SetExpertSetting() %>" />
                        </EditItemTemplate>
                        <InsertItemTemplate>
                            <asp:CheckBox ID="chkCFG_NewImportant" runat="server" CssClass="checkbox" />
                        </InsertItemTemplate>
                    </asp:TemplateField>
                    <%--Buttons--%>
                    <asp:TemplateField ShowHeader="False">
                        <InsertItemTemplate>
                            <div class="spacer">
                            </div>
                            <div class="submitbuttons">
                                <span>
                                    <asp:Button ID="btnInsert" runat="server" CausesValidation="True" CommandName="Insert"
                                        Text='<%$ Resources: _Kartris, FormButton_Save %>' CssClass="button"></asp:Button>
                                    &nbsp;<asp:Button ID="btnCancel" runat="server" CausesValidation="False" CommandName="Cancel"
                                        Text='<%$ Resources: _Kartris, FormButton_Cancel %>' CssClass="button cancelbutton"
                                        Visible="True"></asp:Button><asp:ValidationSummary ID="valSummary" runat="server"
                                            ForeColor="" CssClass="valsummary" DisplayMode="BulletList" HeaderText="<%$ Resources: _Kartris, ContentText_Errors %>" />
                                </span>
                            </div>
                        </InsertItemTemplate>
                        <EditItemTemplate>
                            <div class="spacer">
                            </div>
                            <div class="submitbuttons">
                                <span>
                                    <asp:Button ID="btnUpdate" runat="server" CausesValidation="True" CommandName="Update"
                                        Text='<%$ Resources: _Kartris, FormButton_Save %>' CssClass="button"></asp:Button>
                                    &nbsp;<asp:Button ID="btnCancel2" runat="server" CausesValidation="False" CommandName="Cancel"
                                        Text='<%$ Resources: _Kartris, FormButton_Cancel %>' CssClass="button cancelbutton"
                                        Visible="True"></asp:Button><asp:ValidationSummary ID="valSummary" runat="server"
                                            ForeColor="" CssClass="valsummary" DisplayMode="BulletList" HeaderText="<%$ Resources: _Kartris, ContentText_Errors %>" />
                                </span>
                            </div>
                        </EditItemTemplate>
                        <ItemTemplate>
                            <div class="spacer">
                            </div>
                            <div class="submitbuttons">
                                <asp:Button ID="lnkSave" runat="server" CausesValidation="False" CommandName="Edit"
                                    Text='<%$ Resources: _Kartris, FormButton_Edit %>' CssClass="button"></asp:Button></div>
                            &nbsp;<asp:Button ID="btnCancel3" runat="server" CausesValidation="False" CommandName="Cancel"
                                Text='<%$ Resources: _Kartris, FormButton_Cancel %>' CssClass="button cancelbutton"
                                Visible="True"></asp:Button></div>
                        </ItemTemplate>
                        <ItemStyle CssClass="buttonfield" />
                    </asp:TemplateField>
                </Fields>
            </asp:DetailsView>
            <_user:PopupMessage ID="_UC_PopupMsg" runat="server" />
        </ContentTemplate>
    </asp:UpdatePanel>
    <asp:UpdateProgress ID="prgConfig" runat="server" AssociatedUpdatePanelID="updPanel">
        <ProgressTemplate>
            <div class="loadingimage">
            </div>
            <div class="updateprogress">
            </div>
        </ProgressTemplate>
    </asp:UpdateProgress>
</div>
