<%@ page language="VB" masterpagefile="~/MasterPages/Kartris.master" autoeventwireup="true" inherits="category, KartrisCompiled" enableEventValidation="false" viewStateEncryptionMode="Always" %>

<asp:Content ID="cntMain" ContentPlaceHolderID="cntMain" runat="Server">
    <div class="page_category">
        <div class="breadcrumbtrail">
            <asp:SiteMapPath ID="smpTrail" PathSeparator="<% $Resources: Kartris, ContentText_BreadcrumbSeparator %>"
                SiteMapProvider="CategorySiteMapProvider" runat="server" />
        </div>
        <asp:MultiView ID="mvwCategory" runat="server" ActiveViewIndex="0">
            <asp:View ID="viwCategoryDetails" runat="server">
                <%--                <asp:UpdatePanel ID="updCategoryView" runat="server" UpdateMode="Conditional">
                    <ContentTemplate>--%>
                <user:CategoryView ID="UC_CategoryView" runat="server" />
                <%--                    </ContentTemplate>
                </asp:UpdatePanel>--%>
                <ajaxToolkit:TabContainer ID="tabContainer" runat="server" EnableTheming="False"
                    CssClass=".tab">
                    <ajaxToolkit:TabPanel ID="tabSubCats" runat="server">
                        <HeaderTemplate>
                            <asp:Literal ID="litSubCatHeader" runat="server" Text="<%$ Resources:Categories,ContentText_SubCategories %>" />
                        </HeaderTemplate>
                        <ContentTemplate>
                            <user:SubCategoryView ID="UC_SubCategoryView" runat="server" />
                        </ContentTemplate>
                    </ajaxToolkit:TabPanel>
                    <ajaxToolkit:TabPanel runat="server" ID="tabProducts">
                        <HeaderTemplate>
                            <asp:Literal ID="litProductsHeader" runat="server" Text="<%$ Resources:Products, ContentText_Products %>" />
                        </HeaderTemplate>
                        <ContentTemplate>
                            <user:CategoryProductsView ID="UC_CategoryProductsView" runat="server" />
                        </ContentTemplate>
                    </ajaxToolkit:TabPanel>
                </ajaxToolkit:TabContainer>
            </asp:View>
            <asp:View ID="viwCategoryNotExist" runat="server">
                <p>
                    <asp:Literal ID="litContentTextContentNotAvailable" runat="server" Text="<%$ Resources: Kartris, ContentText_ContentNotAvailable %>" /></p>
            </asp:View>
        </asp:MultiView>
    </div>
</asp:Content>
